public class f2x extends f_xj
{
public double xy[][];
public double z[];
int n;
public f2x(double xyi[][],int ni)
{	double a[][]=xyi;
    double b[][]=Text.T(a);
	double c[][]={b[0],b[1]};
	double b1[][]=Text.T(c);xy=b1;
	z=b[2];
	n=ni;
}
public double func(double x[]) 
{ //moving least square interpolation of degree n
  // x[]={}x,y  xy[][]={xi,yi} data z[]={zi} data
  double ff=NA129H.HEKK(x,xy,z,n);
  return ff; 
}
}